Inverse Shapeburst fill of polygons shows vertices and not edges

2015-03-10 07:21 AM - Nicholas Duggan

Status: Closed

Priority: Normal

Assignee: Giovanni Manghi

Category: Symbology

Affected QGIS version:2.8.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 20524

Description

Using QGIS 2.8.1 and it would appear that rather than nice smooth shapeburst fills with the inverse shapeburst tool, I am getting

"bubbles" of fills.

The "blurs" appear to match certain vertices. I have tried this on 3 different polygon files all with the same effect. It also doesn't matter if

the polygons are merged or not.

Attached is a screenshot of the output using a road dataset

History

#1 - 2015-03-10 01:43 PM - Nyall Dawson

- Status changed from Open to Feedback

I'm unable to reproduce this. Is this a regression? Please test with 2.6. Also, can you try a different dataset?

#2 - 2015-03-10 04:04 PM - Giovanni Manghi

Nyall Dawson wrote:

Also, can you try a different dataset?

or attach here a sample project+data

#3 - 2015-03-11 03:49 AM - Nicholas Duggan

- Assignee set to Nyall Dawson

- File Hampshire_Heartbleed.png added

Hi Nyall/Giovanni

After much crunching, I merged all the polygons and got the desired output. It would appear that either 

a) The "Merge polygons" option isn't working for the shapeburst fill or 

b) I need to RTFM on correct use of these tools.

Do you have a dropbox or FTP where I can drop these files as they are around 100MB for both zipped shapefiles

#4 - 2015-03-11 05:53 AM - Giovanni Manghi
Nicholas Duggan wrote:

Hi Nyall/Giovanni

After much crunching, I merged all the polygons and got the desired output. It would appear that either 

a) The "Merge polygons" option isn't working for the shapeburst fill or 

b) I need to RTFM on correct use of these tools.

Do you have a dropbox or FTP where I can drop these files as they are around 100MB for both zipped shapefiles

try this

https://www.wetransfer.com/

#5 - 2015-03-11 06:33 AM - Nicholas Duggan

- Assignee deleted (Nyall Dawson)

Link to the zipfile is here: http://we.tl/5n2JnE9JyE

There are 2 files, one the merged final roads which work fine and the second is the original "non-merged" road poylgons.

#6 - 2015-03-11 08:16 AM - Giovanni Manghi

a) The "Merge polygons" option isn't working for the shapeburst fill or

I'm not sure what "merge" option do you refers here.

cheers!

#7 - 2015-03-11 08:21 AM - Nicholas Duggan

- File Merge.png added

The "merge polygons" in on the style interface (image attached)

#8 - 2015-06-16 07:41 AM - Nicholas Duggan

- Assignee set to Giovanni Manghi

- Status changed from Feedback to Closed

Doesn't appear to be a problem in 2.8.2 or Master :)

Files

InverseShapeburstFill.jpeg 130 KB 2015-03-10 Nicholas Duggan

Hampshire_Heartbleed.png 1.02 MB 2015-03-11 Nicholas Duggan

Merge.png 97.9 KB 2015-03-11 Nicholas Duggan
